Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
FieldCacheSanityChecker.h File Reference
`#include "LuceneObject.h"`
`#include "MapOfSets.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::FieldCacheSanityChecker
| Provides methods for sanity checking that entries in the FieldCache are not wasteful or inconsistent. More...
class | Lucene::Insanity
| Simple container for a collection of related CacheEntry objects that in conjunction with each other represent some "insane" usage of the FieldCache. More...

## Namespaces

| Lucene

clucene.sourceforge.net